[arch-commits] Commit in texlive-bibtexextra/trunk (PKGBUILD texlive.install)

François Charette francois at archlinux.org
Sat Jun 26 10:42:00 EDT 2010


    Date: Saturday, June 26, 2010 @ 10:41:59
  Author: francois
Revision: 84098

prerelease of texlive 2010

Modified:
  texlive-bibtexextra/trunk/PKGBUILD
  texlive-bibtexextra/trunk/texlive.install

-----------------+
 PKGBUILD        |   26 +++++++++++++++-----------
 texlive.install |    2 +-
 2 files changed, 16 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-26 13:27:06 UTC (rev 84097)
+++ PKGBUILD	2010-06-26 14:41:59 UTC (rev 84098)
@@ -1,7 +1,7 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-bibtexextra
-pkgver=2009.16287
+pkgver=2010.19045
 pkgrel=1
 pkgdesc="TeX Live - Additional BibTeX styles and bibliography databases"
 license=('GPL')
@@ -10,21 +10,23 @@
 groups=('texlive-most')
 url='http://tug.org/texlive/'
 source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+options=(!strip)
 install=texlive.install
-md5sums=('c987a3259c1b52135aee65f6f6c72c92')
+md5sums=('1bcecd30d8162134cf386e6f13bf30af')
 
 build() {
-   cd $srcdir
-   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
-   sed -i '/^#/d' CONTENTS || return 1
-   _revnr=`echo $pkgver | sed 's/2009\.//'`
-   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
-   for p in *.tar.xz; do 
+   for p in *.tar.xz; do
 	   bsdtar -xf $p || return 1
    done
-   rm -rf {tlpkg,doc,source}
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2010\.//'`
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
    install -m755 -d $pkgdir/usr/share || return 1
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done)
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
    for dir in $wanteddirs; do
      find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
      find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
@@ -34,6 +36,8 @@
      find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || return 1
    fi
    if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \; || return 1
    fi
+   install -m755 -d $pkgdir/usr/bin || return 1
+   ln -s /usr/share/texmf-dist/scripts/bibexport/bibexport.sh $pkgdir/usr/bin/bibexport || return 1
 }

Modified: texlive.install
===================================================================
--- texlive.install	2010-06-26 13:27:06 UTC (rev 84097)
+++ texlive.install	2010-06-26 14:41:59 UTC (rev 84098)
@@ -1,6 +1,6 @@
 post_install() {
 	echo    ">>> texlive: updating the filename database..."
-	texconfig-sys rehash
+	/usr/bin/mktexlsr
 }
 
 post_upgrade() {



More information about the arch-commits mailing list